
pre{
    background-color:#000;
    border-style:solid;
    border-width:0 0 0 10px;
    border-color:#888;
    overflow:hidden;
    text-align: left;
    margin:0;
    color:#ccc;
    font-family: Consolas, "Andale Mono WT", "Andale Mono", "Lucida Console", 
"Lucida Sans Typewriter", "DejaVu Sans Mono", "Bitstream Vera Sans Mono", 
"Liberation Mono", "Nimbus Mono L", Monaco, "Courier New", Courier, monospace;
}
.action_button{
	height:31px;width:31px;
}
.action_button svg{
	position:relative;
	height:26px;
	width:26px;
	top:-2.5px;
	left:-2.5px;
}
.action_button_mini{
	height:20px;width:26px;
}
.action_button_mini svg{
	height:16px;width:16px;top:-8px;left:-8px;
}
.action_button_top{
	position:absolute;
	top:3px;
	right:3px;
}
.action_button_bottom{
	position:absolute;
	bottom:3px;
	right:3px;
}
.form-control{
    height: auto;
}
.hover_pointer:hover{
    cursor:pointer;
}
.rightnav{
    border-left:1px solid grey;
    position:fixed;
    right:0;
    height:100%;
}
.rightnav ul {
    padding:0;
    list-style: none;
    text-align:center;
}
.rightnav li{
    height:18px;
}
.rightmargin{
    padding-left:0;
    padding-right:16px;
}
.centred{
    margin-top:20px;
}
.container-fluid{
    padding:0;
}
.x_flip{
-webkit-transform:scaleX(-1);
transform:scaleX(-1);
}
.y_flip{
-webkit-transform:scaleY(-1);
transform:scaleY(-1);
}
.counter{
position:absolute;
top:-13px !important;
left:-4px;
}
.counter_wide{
position:absolute;
left:5px;
top:0px !important;
}
.error{
color:red;
padding:0 15px;
font-weight:bold;
}

.card-footer .btn{
    margin-left:4px;
}

#overlays{
}
.modal{
    background-color:rgba(0,0,0,0.5);
}
.overlay{
    position:fixed;
    background-color:rgba(0,0,0,0.3);
    width:100%;
    height:100%;
    left:0;
    top:0;
    cursor:default;
}
.overlay_time{
    position:fixed;
    z-index:1;
}
#overlays{
    width:0;
    height:0;
    position:absolute;
    left:0;
    top:0;
}
.overlay div{
}
.list-group-item:focus, .list-group-item:hover{
    z-index:inherit;
}
.modal_backdrop{
    position:relative;
    top:0;
    left:0;
    right:0;
    width:100vw;
    height:100vh;
    z-index:1040;
}
/* this is to override the default behaviour of bootstrap which uses 
opacity instead of rgba. This means that children will not be opaque*/
.modal_backdrop.fade{
    background-color:rgba(0,0,0,0);
    opacity:1;
}
.modal_backdrop.show{
    background-color:rgba(0,0,0,0.5);
    opacity:1;
}
.rel0{
    position:relative;
    height:0px;
    width:0px;
}
.rel0fr{
    position:relative;
    height:0;
    width:0;
    float:right;
}
.rel0w{
    position:relative;
    height:0;
    width:100%;
}
.rel0wtr{
    position:relative;
    height:0;
    width:100%;
    text-align:right;
}
.abs_tr{
    position:absolute;
    top:0;
    right:0px;
}

.control_button_icon{
    height:39px;
    position:relative;
    top:-10px;
}
#doc{
margin-left:auto;
margin-right:auto;
}
.main_container{
    min-height:60vh;
    position:absolute;
    background-color:#fff;
}
.sec_container{
    overflow-x:hidden;
    overflow-y:scroll;
}
.over_container{
    display:block;
    position:fixed;
    top:0;
    left:0;
    width:100vw;
    height:100vh;
    padding:0;
    overflow-y:hidden;
}
/* for displaying media items */

.media_thumbnail {
    background: #000;
    border: 1px solid #000;
    display: inline-block;
    width: 100px;
    height: 100px;
    margin:0;
 }

 .media_thumbnail:hover{
     cursor:pointer;
 }
.media_thumbnail div {
    height: 100%;
    overflow: hidden;
    position: relative;
}

.media_thumbnail img {
    display: block;
    height:100%;
    width:auto;
    max-height:100%;
    min-width: 100%;
    overflow:hidden;
    margin: auto;
    position:absolute;
    top: -100%;
    right: -100%;
    bottom: -100%;
    left: -100%;
}
.media_thumbnail video {
    display: block;
    height:100%;
    width:auto;
    max-height:100%;
    min-width: 100%;
    overflow:hidden;
    margin: auto;
    position:absolute;
    top: -100%;
    right: -100%;
    bottom: -100%;
    left: -100%;
}
.media_thumbnail audio {
    display: block;
    height:100%;
    width:auto;
    max-height:100%;
    min-width: 100%;
    overflow:hidden;
    margin: auto;
    position:absolute;
    top: -100%;
    right: -100%;
    bottom: -100%;
    left: -100%;
}

.media_preload{
    color:#fff;
    position:absolute;
    top:-5px;
}
.media_button{
    width:100px;
    height:100px;
}
.media_button svg{
    width:36px;
    height:36px;
}

.button_in_media{
	position:absolute;
  height:24px;
  width:24px;
}
.button_in_media svg{
	position:relative;
	height:24px;
	fill:currentColor;
	top:-8px;
	left:-12px;
}
.media_bottomleft{
    bottom:3px;
    left:3px;
}
.media_bottomright{
    right:3px;
    bottom:3px;
}
.media_topleft{
    left:3px;
    top:3px;
}
.media_topright{
    right:3px;
    top:3px;
}
.media_list .media_topright{
    right:0px;
    top:0px;
}
.media_list .media_bottomleft{
    left:0px;
    bottom:0px;
}
.media_input{
    margin:15px 0 0 15px;
    display:inline-block;
}
.media_button{
    width:100px;
    height:100px;
    display:inline-block;
/*    width: 110px;
    height: 102px;
*/
    margin:0;
    padding: 0;
    float:left;
}
.media_detail{
    float:right;
    width:calc(100% - 110px);
}
.media_list .media_detail textarea{
    display:none;
}
.media_list .media_active_input textarea{
    display:block;
}
.media_list .media_detail{
    width:calc(100% - 60px);
}
.media_list{
    display:block;
    padding:10px 0px 10px 0px;
    overflow:auto;
}
.media_details{
    display:block;
    overflow:visible;
    padding:0px 0px 0px 0px;
}
.media_list li{
    display:inline-block;
    width: 50%;
    min-height: 57px;
    float:left;
    list-style-type: none;
    padding:2px;
    border:none;
}
.media_list .media_input{
    width:100px;
}
.media_list .media_detail h5{
    font-size:16px;
    font-weight:normal;
}
.media_list .media_thumbnail{
    width:50px;
    height:50px;
}
.media_grid .media_detail{
    display:none;
}
.media_grid{
    display:block;
    padding:0px 0px 10px 0px;
    overflow:auto;
}
.media_grid li{
    display:inline-block;
    width: 100px;
    height: 100px;
    padding: 0;
    margin: 15px 0 10px 15px;
    border: none;
    float:left;
}

.media_details li{
    overflow:hidden;
}
.media_details .media_button{
    overflow:auto;
}
.media_spacer{
    display:inline-block;
    padding:0;
    margin:0;
}
.media_grid .media_spacer{
    display:inline-block;
    margin:0;
    width:100%;
    height:0px;
    border:none;
}
.media_list .media_spacer{
    display:block;
    width:100%;
    min-height:0px;
    height:0px;
    clear:both;
}
.media_details .media_spacer{
    display:none;
}
.media_active_input{
    display: block !important;
    width:100% !important;
    height:auto !important;
    padding:12px 20px !important;
    margin:0 !important;
    border-top:1px solid rgba(0,0,0,0.125) !important;
    border-bottom:1px solid rgba(0,0,0,0.125) !important;

}
.media_grid li.media_active_input:first{
    margin:15px 0 0 0 !important;
}

.media_active_input .media_detail{
    display:block !important;
}
.media_active_input .media_thumbnail{
    width:100px;
    height:100px;

}
.media_active_input .media_detail{
    display:inline-block !important;
    width:calc(100% - 110px) !important;
    margin:0;
}

.media_active_input .media_detail div{
    display:block !important;
}
.media_input_icon{
    width:80px;
    height:55px;
    margin:20px 0px 0px 12px;
    fill:#ddd;
}
.media_input_button{
    width:100px;
    height:100px;
    position:absolute;
    top:-1px;
    left:-1px;
}
.media_active_input .media_edit{
    display:none;
}
.media_done{
    display:none;
}
.media_active_input .media_done{
    display:block;
}
.hover_button{
    position:fixed;
    bottom:20px;
    right:40px;
    width:40px;
    height:40px;
    border-radius:26px;
    border:0;
    box-shadow:4px 4px 8px #666;
    background-color:#28a745;
    transition: width height 0.5s;
    -webkit-transition: width height 0.5s;
}
.hover_button svg{
    width:65%;
    fill:#fff;
    left:18%;
    bottom:-15%;
    position:relative;
}
.hover_key{
    right:20px;
}
.hover_collapsed{
    width:0;
    height:0;
}
/*
input{
    margin:0 0 10px 0;
}
*/
input[type=checkbox]{
    height:25px;
    width:25px;
}
input[disabled]{
    background-color:#fff !important;
    padding:0 15px;
    border:none;
    font-weight:inherit;
    font-size:inherit;
    font-family:inherit;
    margin:0;
}
input:disabled::-webkit-input-placeholder{
    color:transparent;
}
input:disabled:-moz-placeholder{
    color:transparent;
}
input:disabled::-moz-placeholder{
    color:transparent;
}
input:disabled:-ms-input-placeholder{
    color:transparent;
}
textarea{
    min-height:72px;
    margin:0 0 10px 0;
}
textarea[disabled]{
    background-color:#fff !important;
    padding:0 15px;
    border:none;
    resize:none;
    margin:0;
}
textarea:disabled::-webkit-input-placeholder{
    color:transparent;
}
textarea:disabled:-moz-placeholder{
    color:transparent;
}
textarea:disabled::-moz-placeholder{
    color:transparent;
}
textarea:disabled:-ms-input-placeholder{
    color:transparent;
}
h5{
    margin:0;
}

.card-body.card_media{
    max-height:70vh;
    overflow:auto;
}

#videoWindow video{
    max-height:65vh;
}
/* //not used???
.btn-round{
    height:30px;
    width:30px;
    border-radius:15px;
    padding:2px;
}
.btn-trans{
    background-color: transparent;
    padding:2px;
}
.btn_thumb_tl{
    position:absolute;
    left:-107px;
    top:-2px;
    
}
.btn_thumb_br{
    position:absolute;
    left:-36px;
    top:71px;
}
.btn_card_tl{
    position:absolute;
    top:-3px;
    left:-2px;
}

.btn-card-br{
    position:absolute;
    top:-30px;
    right:0px;
}
.btn-card-bl{
    position:absolute;
    top:-30px;
}
.svg-btn-thumb{
    height:25px;
}
*/

.scrolling {
max-height: 600px;
max-width: 900px;
}
input::-ms-clear {
    display: none;
}
.dropdown_caret{
    position:absolute;
    left:-20px;
    top:-30px;
    pointer-events:none;
}
.dropdown-menu{
    overflow:auto;
    max-width:85vw;
    max-height:60vh;
    margin:0;
    padding:0;
}
.dropdown_container{
    display:flex;
    font-size:14px;
}
.dropdown_column{
    float:left;
}
.dropdown-item{
    padding: 2px 12px 2px 12px;
}
.dropdown-item:hover
{
    background-color:blue;
    color:white !important;
}
.dropdown-item b{
    color:red;
}
.progressBarContainer{
    width:100%;
}
.progressBarContainer span{
    position:absolute;
    height:2px;  
}
#downloadProgressBar{
    z-index:100;
    top:-2px;
    background-image: linear-gradient(to right,blue 80%,#00ff00);
}
#uploadProgressBar{
    z-index:100;
    height: 2px;
    top:-2px;
    float: right;
    position: relative;
    background-image: linear-gradient(to right,rgba(0,255,0,0.5),rgba(255,0,0,0.5) 20%);
}
.contact_frame {
    float:right;
    background: #000;
    border: 1px solid #000;
    display: inline-block;
    width: 50px;
    height: 50px;
    margin:0 0 0 5px;
 }
.contact_frame div {
    height: 100%;
    overflow: hidden;
    position: relative;
}
.contact_frame img {
    display: block;
    height:100%;
    width:auto;
    max-height:140%;
    min-width: 100%;
    overflow:hidden;
    margin: auto;
    position:absolute;
    top: -100%;
    right: -100%;
    bottom: -100%;
    left: -100%;
}


header {
height:110px;
}

header img{
height:110px;
}

textarea{
    margin: 0 15px 0 15px;
}

a:hover{
cursor:pointer;
}
button:hover{
cursor:pointer;
}

.text_icon{
height:20px;
}

.icon{
	width:20px;
  max-height:20px;
}

.icon_control{
	width:20px;
  max-height:20px;
}

.wide{
    width:100%;
}

svg{
    fill:currentColor;
}

.full-screen{
    display: block;       /* iframes are inline by default */
    background: #000;
    border: none;         /* Reset default border */
    height: 100vh;        /* Viewport-relative units */
    width: 100vw;
}
.face-thumb{
width:100px;
height:100px;
margin:2px 1px;
vertical-align:top;   
}
.face-thumb-50{
width:50px;
height:50px;
margin:0 5px 0 0;
vertical-align:top;   
}

.icon-h3{
    height:30px;
    top:2px;
    position:relative;
}
.inline-block{
    display: inline-block;
}

.thumb{
	height:100px;
}


a:hover{
    text-decoration:none !important;
}
textarea{margin:0}
label{float:left}

/*
#eeeeff;/*Beige
#6060ff;/*Yellow
#8088ff;/*Orange
#4040c0;/*Brown
#2313f0;/*Red
#4F4D3A;/*Grey
*/


/* #8088ff;/*field_heading_colour*/
/* #000000;/*outline_colour*/
/* #2313f0;/*table_container_colour*/
/* #404040;/*text_colour*/
/* #6060ff;/*field_content_colour*/
/* #eeeeff;/*inner_back_colour*/




#gallery{
	position:fixed;
	left:5vw;
	top:5vh;
	width:90vw;
	height:90vh;
	background-color:#666;
}
#galleryPreview{

	width:100%;
	height:70%;
	border:1px solid black;
}
#galleryPreview img{
	position:relative;
	margin-left:5%;
	margin-top:5%;
	max-width:90%;
	max-height:90%;
}
#galleryLeft{
	width:50%;
	height:100%;

}
#galleryRight{
	float:right;
	width:50%;
	height:100%;
}
#gallerySearch{

	width:100%;
	height:47px;
	border:1px solid black;
}
#galleryThumbs{

	float:right;
	width:100%;
	height:calc(100% - 47px);
	border:1px solid black;
}
#galleryThumbs img{
	max-height:100px;
	max-width:100px;
}
#galleryTags{
	width:100%;
	height:30%;
	border:1px solid black;
}

.top_plain_text_outer {
text-align:center;

}

.left_plain_text_outer {
width:484px;
margin:20px 0px;
}
.right_plain_text_outer {
width:484px;
margin:20px 0px;
}

footer {
min-height:0px;
margin-left:auto;
margin-right:auto;

}
#psIndicator{
	height:36px;
	padding:8px;
	width:100%;
	border:solid 1px rgba(0,0,0,.15);
	border-radius: .25rem;
}
#passwordStrengthIndicator {
	display:block;
	margin:0;
	padding:0;
	float:left;
}
#passwordStrengthIndicatorContainer {
	display:block;
	margin:0;
	padding:0;
	height:5px;
	width:152px;
	border-style:solid;
	border-color:#404040;/*text_colour*/
	background-color:#ffffff;
	border-width:1px;
}
#passwordStrengthIndicatorBar {
	display:block;
	margin:0;
	padding:0;
	height:3px;
	width:0px;
}

#passwordStrengthIndicatorScore{
display:block;
	margin:0;
	padding:0;
	float:left;
	font-weight:bold;
}


/*------------------------------------*\
	TIME SELECTOR
\*------------------------------------*/
/*the "!important"s are necessary to make nested divs work*/
/*because it clashes with the inheritance from '.timeContent div' class */
.time_selector{
    z-index:2;
}
.timeContent a{
    height:25px;
}
.timeContent div{
    height:25px;
    min-width:24px;
    display:inline;
    float:left;
    text-align:center;
    font-size:8pt;
    padding:0px 1px 0px 1px;
    background-color:#88f;
    color:#fff;
    border-style:solid;
	border-color:#444;
	border-width:1px;
	margin:1px;
	border-radius:5px;
}
.timeContentYear a{
    width:39px;
}

.time{
    position:fixed;
	padding:2px;
	color:#222;
	background-color:#eef;
	border-style:solid;
	border-color:#000000;
	border-width:1px;
	border-radius:5px;
	box-shadow: 2px 2px 3px #000000;
    z-index:9999;
    left:0;
    top:0;
}
.time_year{
    font-size:75%;
    left:0px;
}
.time_year div div a{
    min-width:29.5px;
    min-height:29px;
    padding:3px 1px;
}
.timeSection{
    position:relative;
    float:left;
    display:block;
/*    min-width:40px;*/
    background-color:#bbf;
    margin:1px;
    padding:3px;
	border-style:none;
	border-color:#000000;
	border-width:1px;
    border-radius:5px;
}
.timeHead{
    display:block;
    min-width:40px;
    width:100%;
    text-align:center;
    color:#fff;
	font-weight:bold;
    background-color:#00f;
	border-style:none;
	border-color:#000000;
	border-width:1px;
	margin:0 0 2px 0;
	border-radius:5px;
}
.timeContent{
	white-space:nowrap;
	clear:both;
    display:inline-block;
    /*background-color:#eef;*/
    border-style:none;
	border-color:#000000;
	border-width:1px;
	padding:3px;
	margin:2px 0 0 0;
	border-radius:5px;
}
.timeContent br{clear:both;}
.timeContent a{
    min-width:24px;
    display:inline-block;
    float:left;
    text-align:center;
    vertical-align:middle;
    padding:0px 1px 0px 1px;
    background-color:#FFF;
    border-style:solid;
	border-color:#000000;
	border-width:1px;
	margin:1px;
	border-radius:5px;
}
.timeContent a:hover{
    color:#F02313;
}
.timeInputContainer {
   height:100%;
   overflow:auto;
   min-width:343px;
}
.time input{
    width:80px;
    text-align:center;
    float:right;
    margin:10px 5px 0 0;
    position:relative;
    bottom:0;
}

/*------------------------------------*\
	END OF TIME
\*------------------------------------*/

/*------------------------------------*\
	VUEDRAGGABLE
\*------------------------------------*/
.flip-list-move {
  transition: transform 0.3s;
}
.no-move {
  transition: transform 0.6s;
}
.ghost {
  opacity: 0.5;
  background: #c8ebfb;
}
.list-group-item {
  cursor: move;
}
.list-group-item i {
  cursor: pointer;
}
.draggable{
	height:100%;
}
.draggable .transition{
	height:100%;
}
/*------------------------------------*\
	END OF VUEDRAGGABLE
\*------------------------------------*/







/* Extra small devices (portrait phones, less than 576px)*/
/* No media query since this is the default in Bootstrap*/

/* Small devices (landscape phones, 576px and up)*/

/*additional point needed to squeeze menu items on super-small screens like iPhone 5/5E (320px) - fez*/

.navbar{
    padding:5px 4px;
}
.navbar-brand{
    height:50px;
    margin-right:5px;
}
.navbar-brand img{
    height:50px;
    margin:0;
}

.nav_custom{
    width:calc(100vw - 160px);
    min-height:50px;
}
.nav_org{
    font-size:20px;
    font-weight:bold;
}
.nav_tagline{
    float:right;
    font-size:12px;
    text-align:right;
}

.logo{
	position:absolute;
	top:-50px;
	width:55px;
	height:50px;
	background-color:#f8f9fa;
}

.logo svg{
	height:40px;
	width:50px;
}

.logo img{
	
}

.location_marker{
	position:absolute;
	width:24px;
	height:24px;
	left:0;
	top:0;
	fill:#0ff;
	background-color:#000;
	opacity:0.3;
}

.status_indicator{
	display:none;
}

@media (min-width: 360px) {
    .navbar{
        padding:8px 16px;
    }
    .navbar-brand{
       margin-right:8px;
    }
    .nav_org{
    font-size:25px;
    }
    .nav_tagline{
        font-size:14px;
    }
}
@media (min-width: 576px) {
    .nav_org{
    font-size:30px;
    }
    .nav_tagline{
        font-size:16px;
    }
}




/* Medium devices (tablets, 768px and up)*/
@media (min-width: 768px) {

	.login_spacer{
			height:100px;
	}
	.register_spacer{
		height:50px;
    }
}

/* Large devices (desktops, 992px and up) */
@media (min-width: 992px) {

}

/* Extra large devices (large desktops, 1200px and up) */
@media (min-width: 1200px) {
    .nav_custom{
        width:calc(100vw - 204px);
    }
}

small{
    font-size: 85% !important;
    font-weight: 400 !important;
    color: #888 !important;
}

.h{
    display:none !important;
}